###################################################################
# Module: EGRRext
#
# A package which implements a family of extended versions  
# of EG (and RR - to be added) algorithms to cunstruct 
# revealing matrices of the matrix operators
# (differential, difference, qdifference cases) and some other
# algorithms on top of EG (and RR - to be added)
#######################################################################

EGRRext := module ()
    description     "a package implementing a family of extended versions of EG (and RR - to be added) algorithms";
    option package;
    export
        EG,
        IsUnimodular;
    local
        alpha,
        ShiftRow,
        dualnormal;
    global
        q;

################################################################################

$include<EG.mm>
$include<IsUnimodular.mm>

################################################################################

$include<alpha.mm>
$include<ShiftRow.mm>

dualnormal := e->`if`(has(e,RootOf),evala(Normal(e)),normal(e));

################################################################################

end module:


