    #######################################################################
    # Module: EGRRext
    # Name  : alpha (local member)
    #
    # Input:
    #     rw - the row of the explicit matrix
    #     n - the size of the explicit matrix block
    #     cd - the length pf the row
    #     lt - one of 'lead' or 'trail' ('lead' is by default)
    #
    # Output:
    #     the index of the first block in the row having non-zero elements, 
    #       considered from the leading to trailing one (if 'lead' is given)
    #       or vise versa otherwise (in other words, it is the order 
    #       (resp. the low order) of the row of the matrix operator
    #     -1 means the row is zero
    #
    #######################################################################

    alpha := proc (rw, n, cd, lt:='lead')
        local
            i;

        if lt='lead' then
            for i to cd while dualnormal(rw[i]) = 0 do end do;
            floor((cd-i)/n)
        else
            for i from cd by -1 to 1 while dualnormal(rw[i]) = 0 do end do;
            floor((i-1)/n)
        end if;
    end proc;

    #######################################################################

